<?php
$msg=$_REQUEST["msg"];
$url=$_REQUEST["url"];
header("content-type:application/octet-stream");
header("accept-ranges:bytes");
header("accept-length:".filesize($url)."");
header("content-disposition:attachment;filename=".$msg."");
$file=fopen($url,"r");
echo fread($file,filesize($url));
fclose($file);
?>